package com.persagy.proxy.adm.model;

import com.persagy.proxy.adm.annotations.CascadeColumn;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * ADM 租户 实体
 * @author lvxy
 * @date 2021/8/17
 */
@Data
public class AdmTenant {
    /** 租户id */
    private String id;
    /** 租户名称 */
    private String name;
    /** 租户本地编码 */
    private String localId;
    /** 租户本地名称 */
    private String localName;
    /** 租户本地编码2 */
    private String localId2;
    /** 租户本地名称2 */
    private String localName2;
    /** 项目id */
    private String projectId;
    /** 信息点 */
    private Map<String, Object> infos;
    /** 对象类型 */
    private String objectType = "tenant";
    /** 租户租赁的租户业务空间  self = true  同样的对象查询时 id可以互相调换查询   */
    @CascadeColumn(graphCode = "TenentInArch", relCode = "Tn2Sp", relValue = "TenantZone")
    private List<AdmSpace> zoneTenantList;
    /** 租户租赁的默认业务空间  self = true  同样的对象查询时 id可以互相调换查询   */
    @CascadeColumn(graphCode = "TenentInArch", relCode = "Tn2Sp", relValue = "GeneralZone")
    private List<AdmSpace> zoneGeneraltList;
    /** 统计信息 */
    private Map<String, Object> statistics;
    /** 创建时间 */
    private Date createTime;
    /** 最后更新日期 */
    private Date lastUpdate;
}
